Name:           sugar-visualmatch
Version:        27
Release:        2%{?dist}
Summary:        A visual matching game

Group:          Sugar/Activities
# namingalert.py is licensed as LGPLv2+
# sprites.py is licensed under the MIT license
# other files are licensed as GPLv3+
License:        GPLv3+ and LGPLv2+ and MIT
URL:            http://wiki.sugarlabs.org/go/Activities/VisualMatch
Source0:        http://download.sugarlabs.org/sources/honey/Visualmatch/VisualMatch-%{version}.tar.bz2

BuildRequires:  python sugar-toolkit gettext
BuildArch:      noarch
Requires:       sugar 

%description
The object is to find sets of three cards where each attribute—color,
shape, number of elements, and shading—either match on all three cards
or are different on all three cards. The current version doesn't yet
support sharing with multiple players or saving to the Journal, but it
can be played by a single player.


%prep
%setup -q -n VisualMatch-%{version}


%build
python ./setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}
chmod 0644 $RPM_BUILD_ROOT/%{sugaractivitydir}/VisualMatch.activity/gencards.py

%find_lang org.sugarlabs.VisualMatchActivity


%clean
rm -rf $RPM_BUILD_ROOT


%files -f org.sugarlabs.VisualMatchActivity.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/VisualMatch.activity/


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@gmail.com> - 27-1
- New 27 release

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 23-2
- recompiling .py files against Python 2.7 (rhbz#623391)

* Thu Jul 08 2010 Sebastian Dziallas <sebastian@when.com> - 23-1
- new upstream release

* Sat Feb 27 2010 Sebastian Dziallas <sebastian@when.com> - 21-1
- new upstream release

* Mon Feb 15 2010 Sebastian Dziallas <sebastian@when.com> - 20-3
- make sure to grab locale files now

* Mon Feb 15 2010 Sebastian Dziallas <sebastian@when.com> - 20-2
- add gettext build requirement

* Mon Feb 15 2010 Sebastian Dziallas <sebastian@when.com> - 20-1
- new upstream release

* Tue Jan 12 2010 Sebastian Dziallas <sebastian@when.com> - 17-1
- new upstream release
- switch to GPLv3+

* Tue Dec 29 2009 Sebastian Dziallas <sebastian@when.com> - 13-1
- new upstream release
- fix license tag

* Sun Dec 06 2009 Sebastian Dziallas <sebastian@when.com> - 8-1
- initial packaging
